com.genesyslab.wfm8.API.service.schedule800

## Class SchSortMode

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchSortMode

- All Implemented Interfaces:
    java.io.Serializable

      public class SchSortMode
      extends java.lang.Object
      implements java.io.Serializable

  Describes Sort Mode for `SchAgentDay`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `ascending` Sort order "true" - ascending , "false" - descending
    `protected int` | `groupMode` `ESchGroupMode` Specifies of how returned agent days should be grouped together.
    `private static long` | `serialVersionUID`
    `protected double` | `sortDate` Some sort modes require specified date for sorting.
    `protected int` | `sortMode` `ESchSortMode` Specifies how returned schedule days must be sorted.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchSortMode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGroupMode()` Gets the value of the groupMode property.
    `double` | `getSortDate()` Gets the value of the sortDate property.
    `int` | `getSortMode()` Gets the value of the sortMode property.
    `int` | `hashCode()`
    `boolean` | `isAscending()` Gets the value of the ascending property.
    `void` | `setAscending(boolean value)` Sets the value of the ascending property.
    `void` | `setGroupMode(int value)` Sets the value of the groupMode property.
    `void` | `setSortDate(double value)` Sets the value of the sortDate property.
    `void` | `setSortMode(int value)` Sets the value of the sortMode property.
    `java.lang.String` | `toString()`
    `SchSortMode` | `withAscending(boolean value)`
    `SchSortMode` | `withGroupMode(int value)`
    `SchSortMode` | `withSortDate(double value)`
    `SchSortMode` | `withSortMode(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### groupMode

          protected int groupMode

      `ESchGroupMode` Specifies of how returned agent days should be grouped together.

    - #### sortMode

          protected int sortMode

      `ESchSortMode` Specifies how returned schedule days must be sorted.

    - #### ascending

          protected boolean ascending

      Sort order "true" - ascending , "false" - descending

    - #### sortDate

          protected double sortDate

      Some sort modes require specified date for sorting. `OleDateTime`

  - ### Constructor Detail

    - #### SchSortMode

          public SchSortMode()

  - ### Method Detail

    - #### getGroupMode

          public int getGroupMode()

      Gets the value of the groupMode property.

    - #### setGroupMode

          public void setGroupMode(int value)

      Sets the value of the groupMode property.

    - #### getSortMode

          public int getSortMode()

      Gets the value of the sortMode property.

    - #### setSortMode

          public void setSortMode(int value)

      Sets the value of the sortMode property.

    - #### isAscending

          public boolean isAscending()

      Gets the value of the ascending property.

    - #### setAscending

          public void setAscending(boolean value)

      Sets the value of the ascending property.

    - #### getSortDate

          public double getSortDate()

      Gets the value of the sortDate property.

    - #### setSortDate

          public void setSortDate(double value)

      Sets the value of the sortDate property.

    - #### withGroupMode

          public SchSortMode withGroupMode(int value)

    - #### withSortMode

          public SchSortMode withSortMode(int value)

    - #### withAscending

          public SchSortMode withAscending(boolean value)

    - #### withSortDate

          public SchSortMode withSortDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.